%define name gimp-sharp
%define version 0.11
%define release %mkrel 1
%define gimpver 2.0
%define gimpapi 2.0
%define gimpmajor 0

Summary: Gimp# allows writing Gimp plugin with Mono
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://prdownloads.sourceforge.net/gimp-sharp/%{name}-%{version}.tar.bz2
Patch1: gimp-sharp-0.10-dllconfig.patch
License: GPL
Group: Graphics
Url: http://gimp-sharp.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libgimp-devel >= %gimpver
BuildRequires: automake1.7
BuildRequires: gtk-sharp2
BuildRequires: mono-devel

%description
This are the C# bindings for GIMP 2.0 that allow the implementation of
plugins with mono.

%prep
%setup -q
%patch1 -p1 -b .dllconfig
aclocal-1.7
autoconf
automake-1.7

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot%_libdir/gimp/%gimpapi/plug-ins/ %buildroot%_datadir/locale/{it,ru}/LC_MESSAGES/
%makeinstall_std GIMPLOCALE=%buildroot%_datadir/locale

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS NEWS TODO README
%lang(it) %_datadir/locale/it/LC_MESSAGES/*.mo
%lang(ru) %_datadir/locale/ru/LC_MESSAGES/*.mo
%{_libdir}/gimp/%gimpapi/plug-ins/*


%changelog
* Sat Jan 06 2007 Götz Waschk <waschk@mandriva.org> 0.11-1mdv2007.0
+ Revision: 104899
- fix buildrequires
- Import gimp-sharp



* Sat Jan  6 2007 Gtz Waschk <waschk@mandriva.org> 0.11-1mdv2007.1
- new version

* Sat Aug  5 2006 Gtz Waschk <waschk@mandriva.org> 0.10-2mdv2007.0
- fix the patch

* Thu Jul 20 2006 Gtz Waschk <waschk@mandriva.org> 0.10-1mdv2007.0
- fix installation
- New release 0.10

* Thu Jul  6 2006 Gtz Waschk <waschk@mandriva.org> 0.9-1mdv2007.0
- update file list
- rediff the patch
- New release 0.9

* Wed Apr 26 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.8-2mdk
- Fix BuildRequires

* Wed Apr 26 2006 Gtz Waschk <waschk@mandriva.org> 0.8-1mdk
- update file list
- drop patch 0
- New release 0.8

* Mon Jan 16 2006 Gtz Waschk <waschk@mandriva.org> 0.7.1-2mdk
- update the dll config

* Mon Jan 16 2006 Gtz Waschk <waschk@mandriva.org> 0.7.1-1mdk
- update file list
- New release 0.7.1
- use mkrel

* Thu May 19 2005 Gtz Waschk <waschk@mandriva.org> 0.7-2mdk
- fix dll map

* Tue May 10 2005 Gtz Waschk <waschk@mandriva.org> 0.7-1mdk
- new version

* Wed Apr  6 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.6-1mdk
- update file list
- rediff patch
- New release 0.6

* Fri Jan 14 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.5-1mdk
- add new plugins
- rediff the patch
- New release 0.5

* Fri Dec 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4-1mdk
- add new files
- update the patch
- New release 0.4

* Mon Nov 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3-1mdk
- fix build
- New release 0.3

* Mon Nov  8 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2-2mdk
- fix picturepackage startup script

* Sun Nov  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2-1mdk
- spec fixes
- New release 0.2

* Tue Nov  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.1-1mdk
- initial package
